<?
namespace admin\view;

class Settings
{
	public static function showSettings()
	{
		$out = \admin\view\PagePanel::show( false, true, false, 'Ustawienia' );

		$tpl = new \Savant3;
		$tpl -> _firm_name			= \admin\factory\Settings::getSystemSettings( 'firm_name' );
		$tpl -> _street         = \admin\factory\Settings::getSystemSettings( 'street' );
		$tpl -> _postal_code		= \admin\factory\Settings::getSystemSettings( 'postal_code' );
		$tpl -> _city           = \admin\factory\Settings::getSystemSettings( 'city' );
		$tpl -> _nip            = \admin\factory\Settings::getSystemSettings( 'nip' );
		$tpl -> _email          = \admin\factory\Settings::getSystemSettings( 'email' );
		$tpl -> _phone          = \admin\factory\Settings::getSystemSettings( 'phone' );
		$tpl -> _account        = \admin\factory\Settings::getSystemSettings( 'account' );
		$tpl -> _person         = \admin\factory\Settings::getSystemSettings( 'person' );
		$tpl -> _fax            = \admin\factory\Settings::getSystemSettings( 'fax' );
		$tpl -> _contact_form		= \admin\factory\Settings::getSystemSettings( 'contact_form' );
		$tpl -> _user_register	= \admin\factory\Settings::getSystemSettings( 'user_register' );
		$tpl -> _admin_email		= \admin\factory\Settings::getSystemSettings( 'admin_email' );
		$tpl -> _email_host			= \admin\factory\Settings::getSystemSettings( 'email_host' );
		$tpl -> _email_port			= \admin\factory\Settings::getSystemSettings( 'email_port' );
		$tpl -> _email_login		= \admin\factory\Settings::getSystemSettings( 'email_login' );
		$tpl -> _email_password	= \admin\factory\Settings::getSystemSettings( 'email_password' );
		$tpl -> _google_map_key	= \admin\factory\Settings::getSystemSettings( 'google_map_key' );
    $tpl -> _register       = \admin\factory\Settings::getSystemSettings( 'register' );
    $tpl -> _facebook_url   = \admin\factory\Settings::getSystemSettings( 'facebook_url' );
    $tpl -> _info           = \admin\factory\Settings::getSystemSettings( 'info' );
		$out .= $tpl -> fetch( 'other/settings' );

		return $out;
	}
}
?>